Subject: [payload] [Editorial Errata Reported] RFC8331 (5310)

From: RFC Errata System <[email-masked]>
Date: Wed, 28 Mar 2018 07:24:51 -0700 (PDT)

The following errata report has been submitted for RFC8331,
"RTP Payload for Society of Motion Picture and Television Engineers (SMPTE) ST 291-1 Ancillary Data".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5310

--------------------------------------
Type: Editorial
Reported by: Anthony Malizia <[email-masked]>

Section: 2, Figure 1

Original Text
-------------
Data_Count=0x84

Data_Count-0x105

Corrected Text
--------------
Data_Count=0x104

Data_Count-0x205

Notes
-----
In the example described in section 2, the first ANC packet is said to have 4 User_Data_Words, and the second packet is said to have 5 User_Data_Words.  The values in Figure 1 for the Data_Count fields do not have the correct parity bits according to the definition of Data_Count described in section 2.1.

4 = 0b0000'0100, with parity bits 0b01'0000'0100 = 0x104

5 = 0b0000'0101, with parity bits 0b10'0000'0101 = 0x205

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8331 (draft-ietf-payload-rtp-ancillary-14)
--------------------------------------
Title               : RTP Payload for Society of Motion Picture and Television Engineers (SMPTE) ST 291-1 Ancillary Data
Publication Date    : February 2018
Author(s)           : T. Edwards
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport Payloads
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Ben Campbell <[email-masked]>
Date: Wed, 28 Mar 2018 10:32:33 -0500

Hi Thomas and PAYLOAD participants:

What do you think; is the errata report correct? Seems like it is borderline between editorial and technical.

Thanks!

Ben.

> On Mar 28, 2018, at 9:24 AM, RFC Errata System <[email-masked]> wrote:
>

---

From: Thomas Edwards <[email-masked]>
Date: Thu, 29 Mar 2018 21:40:38 +0000

Indeed, I failed in properly adding the two parity bits to the Data_Count in Figure 1!  Anthony is correct.

-Thomas

On 3/28/18, 8:33 AM, "Ben Campbell" <[email-masked]> wrote:

    
    Thanks!
    
    Ben.

---

From: Ben Campbell <[email-masked]>
Date: Thu, 29 Mar 2018 16:55:59 -0500

Thanks, I marked it as verified.

Ben.

> On Mar 29, 2018, at 4:40 PM, Thomas Edwards <[email-masked]> wrote:
>